My Oracle Support Banner

DEPT_SYNC or DEPT_FULLSYNC Subscription Fails for Canadian Customers with Error 'CIP CODE is mandatory for rows with effective date greater than Oct 1, 2009 1500,616' (Doc ID 2820145.1)

Last updated on NOVEMBER 08, 2021

Applies to:

PeopleSoft Enterprise CS Student Financials - Version 9.2 and later
Information in this document applies to any platform.

Symptoms

Subscription processing for a new or updated Dept Id published by PeopleSoft Financials fails for Canadian Campus Solutions customers.  This error will occur using DEPT_SYNC or DEPT_FULLSYNC service operations.

 

ERROR
-----------------------
CIP CODE is mandatory for rows with effective date greater than Oct 1, 2009 1500,616



The issue can be reproduced at will with the following steps:

  1. On PeopleSoft Financials, navigate to Set Up Financials/Supply Chain, Common Definitions, Define Chartfields, Define Values, Define Chartfield Values;
  2. Click on Department;
  3. Click Add;
  4. Enter a new dept id and click Save;
  5. On Campus Solutions, navigate to PeopleTools, Integration Broker, Services Operation Monitor, Monitor Asynchronous Services;
  6. Click on Subscription Contracts tab;
  7. Click on the Error hyperlink on the DEPT_SYNC subscription transaction.

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.